HttpMessageConversionException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.http.converter

## Class HttpMessageConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.http.converter.HttpMessageConversionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    HttpMessageNotReadableException, HttpMessageNotWritableException

      public class HttpMessageConversionException
      extends NestedRuntimeException

  Thrown by `HttpMessageConverter` implementations when the conversion fails.
  Since:
    3.0
  Author:
    Arjen Poutsma
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMessageConversionException(String msg)` Create a new HttpMessageConversionException.
    `HttpMessageConversionException(String msg, Throwable cause)` Create a new HttpMessageConversionException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpMessageConversionException

          public HttpMessageConversionException(String msg)

      Create a new HttpMessageConversionException.
      Parameters:
        `msg` - the detail message

    - #### HttpMessageConversionException

          public HttpMessageConversionException(String msg,
                                        Throwable cause)

      Create a new HttpMessageConversionException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause (if any)